egdata API
API ReferenceOffer Details

Get technical requirements for an offer

Returns resolved Windows and macOS requirements. DLC requirements inherit from an explicitly linked base game only when the DLC source confirms that its own requirements are absent. A platform is null when no requirements record exists; 404 is returned when neither platform has a record or when the offer does not exist.

GET
/offers/{id}/requirements

Returns resolved Windows and macOS requirements. DLC requirements inherit from an explicitly linked base game only when the DLC source confirms that its own requirements are absent. A platform is null when no requirements record exists; 404 is returned when neither platform has a record or when the offer does not exist.

Path Parameters

id*string

Epic offer identifier.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/offers/09176f4ff7564bbbb499bbe20bd6348f/requirements"
{  "windows": {    "namespace": "string",    "offerId": "string",    "platform": "windows",    "offerType": "BASE_GAME",    "inherited": true,    "isInherited": true,    "parentOfferId": "string",    "parent": {      "namespace": "string",      "offerId": "string",      "relationshipType": "string"    },    "state": "pending",    "sourceGeneration": 0,    "observedAt": "2019-08-24T14:15:22Z",    "requirements": {      "minimum": {},      "recommended": {}    }  },  "macos": {    "namespace": "string",    "offerId": "string",    "platform": "windows",    "offerType": "BASE_GAME",    "inherited": true,    "isInherited": true,    "parentOfferId": "string",    "parent": {      "namespace": "string",      "offerId": "string",      "relationshipType": "string"    },    "state": "pending",    "sourceGeneration": 0,    "observedAt": "2019-08-24T14:15:22Z",    "requirements": {      "minimum": {},      "recommended": {}    }  }}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}